Skip to main content
`Ctrl`+`K`

# pandas.core.window.expanding.Expanding.mean

Expanding.mean(numeric_only=False, engine=None, engine_kwargs=None)

  Calculate the expanding mean.

  Parameters:
    numeric_only bool, default False

      Include only float, int, boolean columns.

      Added in version 1.5.0.

    engine str, default None

      - `'cython'` : Runs the operation through C-extensions from cython.

      - `'numba'` : Runs the operation through JIT compiled code from numba.

      - `None` : Defaults to `'cython'` or globally setting `compute.use_numba`

        Added in version 1.3.0.

    engine_kwargs dict, default None

      - For `'cython'` engine, there are no accepted `engine_kwargs`

      - For `'numba'` engine, the engine can accept `nopython`, `nogil` and `parallel` dictionary keys. The values must either be `True` or `False`. The default `engine_kwargs` for the `'numba'` engine is `{'nopython': True, 'nogil': False, 'parallel': False}`

        Added in version 1.3.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.expanding`

    Calling expanding with Series data.

  `pandas.DataFrame.expanding`

    Calling expanding with DataFrames.

  `pandas.Series.mean`

    Aggregating mean for Series.

  `pandas.DataFrame.mean`

    Aggregating mean for DataFrame.

  Notes

  See Numba engine and Numba (JIT compilation) for extended documentation and performance considerations for the Numba engine.

  Examples

      >>> ser = pd.Series([1, 2, 3, 4], index=['a', 'b', 'c', 'd'])
      >>> ser.expanding().mean()
      a    1.0
      b    1.5
      c    2.0
      d    2.5
      dtype: float64